<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2015-01-12
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/classes/SWPHP_Breadcrumb.class.php
 *
 * Clase breadcrumb, para crear miguitas de pan (localizador) en SWPHP
 *
 */
class SWPHP_Breadcrumb
{
	private $_items;
	/**
	 * Constructor
	 *
	 * @return SWPHP_Pagina
	 */
	function __construct()
	{
		$this->Reset();
	}
	/**
	 * Resetea (vacía)
	 *
	 */
	function Reset()
	{
		$this->_items = array();
	}
	/**
	 * Añade una miguita
	 */
	function Add($href, $text, $title='', $nofollow=false)
	{
		$this->_items[] = array(
			'href'=>quitarBarraIni($href),
			'text'=>$text,
			'title'=>$title,
			'nofollow'=>$nofollow,
			);
	}
	/**
	 * Obtiene el conjunto actual de miguitas
	 */
	function GetItems()
	{
		return $this->_items;
	}
}
