<?php
/**
 * Smarty plugin
 * @package Smarty
 * @subpackage plugins
 */


/**
 * Smarty {swphp_iconfile} function plugin
 *
 * Type:     function<br />
 * Name:     swphp_icon<br />
 * Purpose:  get path to icon file in Simple Web PHP Edicion Administrada<br />
 * @link
 * @author JosÃ© Carlos Cruz Parra programadorphpfreelance.com
 * @param array
 * @param Smarty
 */
function smarty_function_swphp_iconfile($params, &$smarty)
{
	$tipo = isset($params['tipo']) ? $params['tipo'] : 'file';
	$aux = isset($params['aux']) ? $params['aux'] : (isset($params['file']) ? getExtension($params['file']) : '');
	$width = isset($params['width']) ? $params['width'] : 48;

	return SWPHP::_IconFile($tipo, $aux, $width);
}

/* vim: set expandtab: */

?>