<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-12-25
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/archivos/admin/index.php
 *
 */

$exts = explode(',', SWPHP_ALLOWED_UPLOAD_FILE_EXTENSIONS);
//sort($exts);

if(isset($_POST["sent"]) && $_POST["sent"])
{
	SWPHP::_SubirArchivo();
}

$len = mb_strlen(SWPHP_UPLOADS_DIR);

$paginador = SWPHP::_CrearPaginador('archivos', 100);
$paginador->SetParam('etiqueta', 'archivo');
$files = getFilesExt(SWPHP_UPLOADS_DIR, $exts, true, true);
sort($files);
for($c=0,$size=sizeof($files); $c<$size; $c++)
{
	$file = $files[$c];
	$ubicacion = mb_substr(dirname($file), $len);
	$nombre = basename($file);
	$files[$c] = array(
		"ubicacion"=>'/'.$ubicacion,
		"nombre"=>$nombre,
		"url"=>"<a class=\"external\" href=\"{$file}\">".$file."</a>",
		"peso"=>sprintf("%.2f Kb", filesize($file) / 1024),
		"eliminar"=>"<a id=\"aEliminar{$ubicacion}/{$nombre}\" href=\"javascript:EliminarArchivo('".addcslashes($ubicacion.'/'.$nombre,"'")."')\" title=\"Eliminar\">".SWPHP::_Icon("remove.png", 16, array("alt"=>"Eliminar"))."</a>"
		);
}
$paginador->Fill($files);

$paginador->SetParam('campos', array(
	'ubicacion'=>array('label'=>'Ubicación'),
	'nombre'=>array("label"=>"Nombre"),
	'url'=>array("label"=>"URL relativa", "orderby"=>false),
	'peso'=>array("label"=>"Peso", "class"=>"numeric"),
	'eliminar'=>array("label"=>"", "orderby"=>false)
	));

$admin_template = "{$swphp_module_templates_dir}admin/archivos.tpl";

$smarty->assign('upload_dirs', getSubDirs(SWPHP_UPLOADS_DIR));
$smarty->assign('paginador', $paginador);
