<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-04-04
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/contacto/index.php
 */

$configuration_contacto = SWPHP::_GetConfigValues('contacto');

$destinatarios = array();
$arr = explode("\n", isset($configuration_contacto['destinatarios']) ? $configuration_contacto['destinatarios'] : '');
foreach($arr as $item)
{
	$aux = explode('=', $item);
	if(sizeof($aux) == 2)
	{
		$aux[0] = html_entity_decode(trim($aux[0]));
		$aux[1] = trim($aux[1]);
		if($aux[0] && $aux[1])
		{
			$destinatarios[$aux[0]] = $aux[1];
		}
	}
}

$resultado = '';

if((!$configuration_contacto['usarcaptcha'] || isset($_POST['chacha'])) && isset($_POST['control']) && $_POST['control'] && $_POST['control'] == $_SESSION['control'])
{
	if(!$configuration_contacto['usarcaptcha'] || $_POST['chacha'] == $_SESSION['chacha'])
	{
		if(isset($_POST['destinatario']) && isset($destinatarios[$_POST['destinatario']]))
		{
			$dest = $destinatarios[$_POST['destinatario']];
		}
		else
		{
			$dest = isset($configuration_contacto['email']) && $configuration_contacto['email'] ? $configuration_contacto['email'] : SWPHP::_GetConfigValue('emailadmin', 'configuracion');
		}
		$nombre = $_POST['nombre'];
		$email = $_POST['email'];
		$asunto = '['.SWPHP::_GetConfigValue('dominio', 'configuracion').'] '.(isset($_POST['asunto']) ? $_POST['asunto'] : l('Solicitud de contacto', 'contacto', SWPHP_IDIOMA_POR_DEFECTO_CODIGOISO));
		$mensaje = '<h3>'.l('Mensaje enviado a través del formulario de contacto online', 'contacto', SWPHP_IDIOMA_POR_DEFECTO_CODIGOISO).'</h3>';
		foreach($_POST as $key=>$value)
		{
			if($key != 'chacha' && $key != 'control')
			{
				$mensaje .= sprintf('<p>%s: %s</p>', ucfirst(SWPHP::_HtmlEntities($key)), SWPHP::_HtmlEntities($value));
			}
		}
		$error = '';
		if(SWPHP::_EnviarEmail($dest, $asunto, $mensaje, null, '', '', $error, $email, $nombre))
		{
			$resultado = '<div class="check">'.l('Su mensaje ha sido enviado.', 'contacto').'</div><p>'.l('Le atenderemos lo antes posible. Gracias.', 'contacto').'</p>';
		}
		else
		{
			$resultado = '<div class="error">'.l('No se ha podido enviar el mensaje.', 'contacto').'</div><p>'.l('ERROR:', 'contacto').' '.$error.'</p>';
		}
	}
	else
	{
		$resultado = '<div class="error">'.l('La operación no ha sido resuelta correctamente.', 'contacto').'</div><p>'.l('Inténtelo', 'contacto').' <a href="'.SWPHP_PAGINA_ACTUAL.'">'.l('de nuevo', 'contacto').'</a></p>';
	}
}

$smarty->assign('contacto_action', SWPHP_PAGINA_ACTUAL);
$smarty->assign('configuracion_contacto', $configuration_contacto);
$smarty->assign('destinatarios', $destinatarios);
$smarty->assign('politicaprivacidad', isset($configuration_contacto['privacidad']) && $configuration_contacto['privacidad'] ? $db->GetValueQuery("SELECT contenido FROM ".SWPHP_DBPREFIX."paginas_idiomas WHERE pagina_id = '".$configuration_contacto['privacidad']."' AND idioma_id = '{$_SESSION['SWPHP_IDIOMA_ACTUAL']}'", false) : false);
$smarty->assign('resultado', $resultado);
$smarty->assign('swphp_templatecontenido', SWPHP::_GetModuleTemplate('contacto.tpl'));
