<?php
/* swphp:modulo faq */

$html = '';

$ok = true;

SWPHP::_ExecuteQuery("SET NAMES 'utf8'", "", "");

$query = "CREATE TABLE IF NOT EXISTS ".SWPHP_DBPREFIX."faq_idiomas (
  faq_id int(10) unsigned NOT NULL,
  idioma_id smallint(5) unsigned NOT NULL,
  pregunta varchar(255) NOT NULL DEFAULT '',
  respuesta text NOT NULL DEFAULT '',
  tags varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (faq_id, idioma_id)
) DEFAULT CHARSET=utf8";
$ok &= SWPHP::_ExecuteQuery($query, '', 'ERROR<br />'.$query);

$idiomapordefecto = SWPHP::_GetConfigValue('idioma', 'idiomas');

$idiomas = $db->GetRows("SELECT id, nombre, codigoiso FROM ".SWPHP_DBPREFIX."idiomas WHERE activo = '1'", true, false);
foreach($idiomas as $idioma)
{
	$paginas = $db->GetRows("SELECT id, pregunta, respuesta, tags FROM ".SWPHP_DBPREFIX."faq", true, false);
	foreach($paginas as $pagina)
	{
		$data = true ? //$idiomapordefecto == $idioma['id'] ?
			array(
				'faq_id'=>$pagina['id'],
				'idioma_id'=>$idioma['id'],
				'pregunta'=>$pagina['pregunta'],
				'respuesta'=>$pagina['respuesta'],
				'tags'=>$pagina['tags'],
				)
			:
			array(
				'faq_id'=>$pagina['id'],
				'idioma_id'=>$idioma['id'],
				);

		$query = buildQuery_Insert($data, SWPHP_DBPREFIX.'faq_idiomas');
		$ok &= SWPHP::_ExecuteQuery($query, '', 'ERROR<br />'.SWPHP::_HtmlEntities($query));
	}
}

if($ok)
{
	$queries = array(
		"ALTER TABLE ".SWPHP_DBPREFIX."faq DROP pregunta",
		"ALTER TABLE ".SWPHP_DBPREFIX."faq DROP respuesta",
		"ALTER TABLE ".SWPHP_DBPREFIX."faq DROP tags",
		);
	foreach($queries as $query)
	{
		$ok &= SWPHP::_ExecuteQuery($query, '', 'ERROR<br />'.SWPHP::_HtmlEntities($query));
	}
}

if(!is_numeric(SWPHP::_GetConfigValue('idioma', 'idiomas')))
{
	$query = "UPDATE ".SWPHP_DBPREFIX."config SET valor = '1', info = 'tag=select;options=SWPHP::_Rows2Assoc(SWPHP_DBPREFIX.\'idiomas\', \'nombre\', \'id\', \'ORDER BY peso\', array(\'0\', \'\'))' WHERE variable = 'idioma' AND concepto = 'idiomas'";
	$ok &= SWPHP::_ExecuteQuery($query, '', 'ERROR<br />'.SWPHP::_HtmlEntities($query));
}

if(!is_dir('img/lang'))
{
	$ok = false;
	SWPHP::_Msg('No existe el directorio de imágenes de banderitas de idioma, tienes que ponerlo', 'error');
}

$updOk = $ok;
