<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-01-11
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/install.php
 *
 */

/**
 * Realiza las actuaciones particulares de la instalación de este módulo:
 *
 * @param array $info
 * @return bool
 */
function kapitaltruth_instalar($info)
{
	global $db;

	$ok = true;

	SWPHP::_ExecuteQuery("SET NAMES 'utf8'", "", "");

	$idiomas = $db->GetArrayForHTMLSelect('codigoiso', 'id', SWPHP_DBPREFIX.'idiomas');

	$queries = array(
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_setsrespuestas` VALUES ('1')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_respuestas` VALUES ('1', '1', '0', '0', '1', '0')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_respuestas` VALUES ('2', '1', '1', '0', '1', '0')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_respuestas` VALUES ('3', '1', '2', '1', '0', '2')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_tiposmovimiento` VALUES(1, 'Valoración por los demás', 'valoracion')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_tiposmovimiento` VALUES(2, 'Transferencia emitida', 'transferenciaemitida')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_tiposmovimiento` VALUES(3, 'Transferencia recibida', 'transferenciarecibida')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_tiposmovimiento` VALUES(4, 'Inicialización', 'inicializacion')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin` VALUES(1, 'ModConfig', 1)",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin` VALUES(2, 'AddUsuario', 1)",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin` VALUES(3, 'ModUsuario', 1)",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin` VALUES(4, 'DelUsuario', 1)",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin` VALUES(5, 'AddCategoria', 1)",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin` VALUES(6, 'ModCategoria', 1)",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin` VALUES(7, 'DelCategoria', 1)",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin` VALUES(8, 'AddPregunta', 1)",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin` VALUES(9, 'ModPregunta', 1)",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin` VALUES(10, 'DelPregunta', 1)",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(1, 1, 'Modificar configuración')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(1, 2, 'Modify settings')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(1, 3, 'Modifier les paramètres')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(1, 4, 'Ändern Sie die Einstellungen')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(1, 5, 'Modificare le impostazioni')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(1, 6, 'Modificar configuració')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(2, 1, 'Crear usuario')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(2, 2, 'Create user')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(2, 3, 'Créer un utilisateur')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(2, 4, 'Benutzer erstellen')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(2, 5, 'Crea utente')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(2, 6, 'Crear usuari')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(3, 1, 'Modificar usuario')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(3, 2, 'Modify user')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(3, 3, 'Modifier un utilisateur')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(3, 4, 'Benutzer ändern')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(3, 5, 'Modifica utente')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(3, 6, 'Modificar usuari')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(4, 1, 'Eliminar usuario')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(4, 2, 'Delete user')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(4, 3, 'Supprimer un utilisateur')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(4, 4, 'Benutzer löschen')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(4, 5, 'Elimina utente')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(4, 6, 'Eliminar usuari')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(5, 1, 'Crear categoría')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(5, 2, 'Create category')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(5, 3, 'Créer une catégorie')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(5, 4, 'Kategorie erstellen')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(5, 5, 'Crea categoria')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(5, 6, 'Crear categoria')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(6, 1, 'Modificar categoría')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(6, 2, 'Modify category')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(6, 3, 'Modifier une catégorie')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(6, 4, 'Kategorie ändern')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(6, 5, 'Modifica categoria')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(6, 6, 'Modificar categoria')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(7, 1, 'Eliminar categoría')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(7, 2, 'Delete category')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(7, 3, 'Supprimer une catégorie')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(7, 4, 'Kategorie löschen')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(7, 5, 'Elimina categoria')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(7, 6, 'Eliminar categoria')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(8, 1, 'Crear pregunta')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(8, 2, 'Create question')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(8, 3, 'Créer une question')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(8, 4, 'Frage erstellen')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(8, 5, 'Crea domanda')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(8, 6, 'Crear pregunta')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(9, 1, 'Modificar usuario')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(9, 2, 'Modify question')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(9, 3, 'Modifier une question')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(9, 4, 'Frage ändern')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(9, 5, 'Modifica domanda')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(9, 6, 'Modificar pregunta')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(10, 1, 'Eliminar usuario')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(10, 2, 'Delete question')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(10, 3, 'Supprimer une question')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(10, 4, 'Frage löschen')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(10, 5, 'Elimina domanda')",
		"INSERT INTO `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` VALUES(10, 6, 'Eliminar pregunta')",
);

	$codigosiso = kapitaltruth_getCodigosIso();
	foreach($codigosiso as $key=>$arr)
	{
		if(isset($idiomas[$key]))
		{
			foreach($arr as $n=>$txt)
			{
				$queries[] = "INSERT INTO `".SWPHP_DBPREFIX."kptl_respuestas_idiomas` VALUES ('{$n}', '{$idiomas['es']}', '{$txt}')";
			}
		}
	}

	$queries = array_merge(kapitaltruth_getTables(), $queries);

	foreach($queries as $query)
	{
		$ok &= SWPHP::_ExecuteQuery($query, "", "No se pudo ejecutar la sentencia:<br />{$query}");
	}

	$ok &= SWPHP::_CreateConfigValue('minpreguntas', 5, 'kapitaltruth', 'tag=input;type=text;size=5;maxlength=5;class=numeric', l('Mínimo de preguntas', 'kapitaltruth'), SWPHP_PERMISO_SOLOLECTURA, false, 'kptl_config');
	$ok &= SWPHP::_CreateConfigValue('potencia', 4, 'kapitaltruth', 'tag=select;options=array(2=>2,3=>3,4=>4,5=>5,6=>6);onchange=gebi(\'kapitaltruth[tesoro]\').value = Math.pow(10,this.value)', l('Potencia', 'kapitaltruth'), SWPHP_PERMISO_SOLOLECTURA, false, 'kptl_config');
	$ok &= SWPHP::_CreateConfigValue('tesorototal', 10000, 'kapitaltruth', 'tag=input;type=text;size=10;maxlength=12;class=numeric;readonly=readonly', l('Puntos totales en el tesoro', 'kapitaltruth'), SWPHP_PERMISO_SOLOLECTURA, false, 'kptl_config');
	$ok &= SWPHP::_CreateConfigValue('tesoroactual', 10000, 'kapitaltruth', 'tag=input;type=text;size=10;maxlength=12;class=numeric;readonly=readonly', l('Puntos actuales en el tesoro', 'kapitaltruth'), SWPHP_PERMISO_SOLOLECTURA, false, 'kptl_config');
	$ok &= SWPHP::_CreateConfigValue('fechayhoraultima', '0000-00-00 00:00:00', 'kapitaltruth', 'tag=input;type=text;size=20;maxlength=16', l('Última vez que se ejecutó el motor', 'kapitaltruth'), SWPHP_PERMISO_SOLOLECTURA, false, 'kptl_config');
	$ok &= SWPHP::_CreateConfigValue('habilitarkptl', 0, 'kapitaltruth', 'tag=input;type=checkbox', l('Habilitar KPTL', 'kapitaltruth'), SWPHP_PERMISO_LECTURAYESCRITURA, false, 'kptl_config');
    $ok &= SWPHP::_CreateConfigValue('minadmin', 1, 'kapitaltruth', 'tag=input;type=text;size=3;maxlength=3;class=numeric', l('Administradores requeridos', 'kapitaltruth'), SWPHP_PERMISO_SOLOLECTURA, false, 'kptl_config');
    $ok &= SWPHP::_CreateConfigValue('KPTL_punto', 'punto', 'kapitaltruth', 'tag=input;type=text;size=20;maxlength=40;class=requerido', l('Nombre de la moneda en singular', 'kapitaltruth'), SWPHP_PERMISO_SOLOLECTURA, false, 'kptl_config');
    $ok &= SWPHP::_CreateConfigValue('KPTL_puntos', 'puntos', 'kapitaltruth', 'tag=input;type=text;size=20;maxlength=40;class=requerido', l('Nombre de la moneda en plural', 'kapitaltruth'), SWPHP_PERMISO_SOLOLECTURA, false, 'kptl_config');
    $ok &= SWPHP::_CreateConfigValue('emailautor', 'kapitaltruth@gmail.com', 'kapitaltruth', 'tag=input;type=text;size=60;maxlength=120;class=requerido email', l('Email del autor de Kapital Truth', 'kapitaltruth'), SWPHP_PERMISO_SOLOLECTURA, false, 'kptl_config');
    $ok &= SWPHP::_CreateConfigValue('modomotor', 'visitas', 'kapitaltruth', 'tag=select;options=array(\'cron\'=>\'cron\',\'visitas\'=>\'visitas\');class=requerido', l('Modo de ejecución del motor de reparto', 'kapitaltruth'), SWPHP_PERMISO_LECTURAYESCRITURA, false, 'kptl_config');
    $ok &= SWPHP::_CreateConfigValue('croncode', 'cambiame', 'kapitaltruth', 'tag=input;type=text;size=20;maxlength=32;class=requerido', l('Código para ejecutar el cron', 'kapitaltruth'), SWPHP_PERMISO_LECTURAYESCRITURA, false, 'kptl_config');
    $ok &= SWPHP::_CreateConfigValue('perfilesadmin', '2,4', 'kapitaltruth', 'tag=input;type=text;size=10;maxlength=16;class=requerido', l('Ids de perfiles de admin KPTL', 'kapitaltruth'), SWPHP_PERMISO_SOLOLECTURA, false, 'kptl_config');

	return $ok;
}
/**
 * Realiza las actuaciones particulares de la desinstalación de este módulo
 *
 * @param array $info
 * @return bool
 */
function kapitaltruth_desinstalar($info)
{
	global $db;

	$ok = true;

	$tables = kapitaltruth_getTables();
	foreach($tables as $key=>$value)
	{
		$query = "DROP TABLE IF EXISTS ".SWPHP_DBPREFIX."kptl_".$key;
		$ok &= SWPHP::_ExecuteQuery($query, "", "No se pudo ejecutar la sentencia:<br />{$query}");
	}

	return $ok;
}
/**
 * Obtiene un array asociativo con la especificación de las tablas a utilizar exclusivamente por el módulo
 *
 * @return array
 */
function kapitaltruth_getTables()
{
	return array(
		'config'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_config` (
  `id` smallint(6) NOT NULL AUTO_INCREMENT,
  `variable` varchar(60) COLLATE latin1_general_ci NOT NULL DEFAULT 'unnamed',
  `valor` text COLLATE latin1_general_ci NOT NULL,
  `concepto` varchar(30) COLLATE latin1_general_ci NOT NULL,
  `info` varchar(255) COLLATE latin1_general_ci NOT NULL DEFAULT 'tag=input;type=text;size=40;maxlength=255',
  `texto` varchar(64) COLLATE latin1_general_ci NOT NULL,
  `permiso_id` smallint(3) NOT NULL DEFAULT '2',
  PRIMARY KEY (`id`),
  UNIQUE KEY `variable` (`variable`,`concepto`)
) DEFAULT CHARSET=utf8",
		'usuarios'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_usuarios` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `nombre` varchar(120) NOT NULL DEFAULT '',
  `fechanacimiento` date NOT NULL DEFAULT '0000-00-00',
  `fechayhoraalta` date NOT NULL DEFAULT '0000-00-00',
  `puntos_show` int(11) NOT NULL DEFAULT '0',
  `puntos_real` int(11) NOT NULL DEFAULT '0',
  `puntos_recibidos` int(11) NOT NULL DEFAULT '0',
  `puntos_emitidos` int(11) NOT NULL DEFAULT '0',
  UNIQUE KEY (`user_id`),
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8",
        'grupos'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_grupos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `activo` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `peso` smallint(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8",
        'grupos_idiomas'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_grupos_idiomas` (
  `grupo_id` smallint(5) unsigned NOT NULL,
  `idioma_id` smallint(5) unsigned NOT NULL,
  `texto` varchar(255) NOT NULL,
  PRIMARY KEY (`grupo_id`, `idioma_id`)
) DEFAULT CHARSET=utf8",
		'categorias'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_categorias` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `activo` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `peso` smallint(5) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8",
		'categorias_idiomas'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_categorias_idiomas` (
  `categoria_id` smallint(5) unsigned NOT NULL,
  `idioma_id` smallint(5) unsigned NOT NULL,
  `texto` varchar(255) NOT NULL,
  PRIMARY KEY (`categoria_id`, `idioma_id`)
) DEFAULT CHARSET=utf8",
		'setsrespuestas'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_setsrespuestas` (
  `id` smallint(5) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8",
		'respuestas'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_respuestas` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `setrespuestas_id` smallint(5) unsigned NOT NULL,
  `puntos` smallint(5) NOT NULL,
  `puntosmodestia` smallint(5) NOT NULL,
  `propia` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `ref_id` int(10) unsigned NOT NULL DEFAULT '0',
  KEY (`setrespuestas_id`),
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8",
		'respuestas_idiomas'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_respuestas_idiomas` (
  `respuesta_id` int(10) unsigned NOT NULL,
  `idioma_id` smallint(5) unsigned NOT NULL,
  `texto` varchar(255) NOT NULL,
  PRIMARY KEY (`respuesta_id`, `idioma_id`)
) DEFAULT CHARSET=utf8",
		'valoraciones'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_valoraciones` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fecha` date NOT NULL,
  `user_idactivo` int(10) unsigned NOT NULL,
  `user_idpasivo` int(10) unsigned NOT NULL,
  `puntos` smallint(5) NOT NULL,
  KEY (`fecha`),
  KEY (`user_idactivo`, `user_idpasivo`),
  UNIQUE KEY (`fecha`, `user_idactivo`, `user_idpasivo`),
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8",
		'autovaloraciones'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_autovaloraciones` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `fecha` date NOT NULL,
  `user_id` int(10) unsigned NOT NULL,
  KEY (`fecha`),
  KEY (`user_id`),
  UNIQUE KEY (`fecha`, `user_id`),
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8",
		'preguntas'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_preguntas` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `categoria_id` smallint(5) unsigned NOT NULL,
  `fechayhoraregistro` datetime NOT NULL,
  `fechayhoraultima` datetime NOT NULL,
  `user_idregistro` int(10) unsigned NOT NULL,
  `user_idultima` int(10) unsigned NOT NULL,
  `activo` tinyint(1) unsigned NOT NULL DEFAULT 1,
  `setrespuestas_id` smallint(5) unsigned NOT NULL,
  `peso` smallint(5) NOT NULL DEFAULT '0',
  KEY (`categoria_id`),
  PRIMARY KEY (`id`)
) DEFAULT CHARSET=utf8",
		'valoraciones_preguntas'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_valoraciones_preguntas` (
  `valoracion_id` int(10) unsigned NOT NULL,
  `pregunta_id` int(10) unsigned NOT NULL,
  `respuesta_id` int(10) unsigned NOT NULL,
  `puntos` smallint(5) NOT NULL,
  PRIMARY KEY (`valoracion_id`, `pregunta_id`)
) DEFAULT CHARSET=utf8",
		'autovaloraciones_preguntas'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_autovaloraciones_preguntas` (
  `autovaloracion_id` int(10) unsigned NOT NULL,
  `pregunta_id` int(10) unsigned NOT NULL,
  `respuesta_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`autovaloracion_id`, `pregunta_id`)
) DEFAULT CHARSET=utf8",
		'preguntas_idiomas'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_preguntas_idiomas` (
  `pregunta_id` int(10) unsigned NOT NULL,
  `idioma_id` smallint(5) unsigned NOT NULL,
  `texto` varchar(255) NOT NULL,
  PRIMARY KEY (`pregunta_id`, `idioma_id`)
) DEFAULT CHARSET=utf8",
		'movimientos'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_movimientos` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `tipo_id` smallint(5) unsigned NOT NULL,
  `puntos` int(11) NOT NULL,
  `saldo` int(11) NOT NULL,
  `fechayhora` datetime NOT NULL,
  `info` varchar(120) NOT NULL,
  `ref` varchar(30) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `tipo_id` (`tipo_id`),
  KEY `fechayhora` (`fechayhora`)
) DEFAULT CHARSET=utf8",
		'tiposmovimiento'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_tiposmovimiento` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `nombre` varchar(60) NOT NULL,
  `clave` varchar(30) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `clave` (`clave`)
) DEFAULT CHARSET=utf8",
		'transferencias'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_transferencias` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_from` int(10) unsigned NOT NULL,
  `user_to` int(10) unsigned NOT NULL,
  `puntos_from` int(11) NOT NULL COMMENT 'Los puntos que tenía el usuario cuando iba a hacer la transferencia',
  `puntos` int(11) NOT NULL,
  `fechayhora` datetime NOT NULL,
  `concepto` varchar(120) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_from` (`user_from`),
  KEY `user_to` (`user_to`),
  KEY `fechayhora` (`fechayhora`)
) DEFAULT CHARSET=utf8",
		'puntuaciones'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_puntuaciones` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(10) unsigned NOT NULL,
  `puntos` int(11) NOT NULL,
  `correccion` int(11) NOT NULL DEFAULT '0',
  `fechayhora` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `user_id` (`user_id`),
  KEY `fechayhora` (`fechayhora`)
) DEFAULT CHARSET=utf8",
		'actuacionesadmin'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_actuacionesadmin` (
  `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,
  `clave` varchar(64) NOT NULL,
  `nombre` varchar(120) NOT NULL,
  `firma` tinyint(1) UNSIGNED NOT NULL DEFAULT '1',
  PRIMARY KEY (`id`),
  UNIQUE KEY `clave` (`clave`)
) DEFAULT CHARSET=utf8",
		'actuacionesadmin_idiomas'=>"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."kptl_actuacionesadmin_idiomas` (
  `actuacion_id` smallint(5) unsigned NOT NULL,
  `idioma_id` smallint(5) unsigned NOT NULL,
  `nombre` varchar(120) NOT NULL,
  PRIMARY KEY (`actuacion_id`, `idioma_id`)
) DEFAULT CHARSET=utf8",
	);
}
/**
 * Obtiene un array asociativo con la traducción de las respuestas del set por defecto
 *
 * @return array
 */
function kapitaltruth_getCodigosIso()
{
	return array(
		'es'=>array(
			1=>'No',
			2=>'Sí',
			3=>'Doble',
			),
		'en'=>array(
			1=>'No',
			2=>'Yes',
			3=>'Double',
			),
		'fr'=>array(
			1=>'No',
			2=>'Oui',
			3=>'Doubler',
			),
		'de'=>array(
			1=>'Nein',
			2=>'Ja',
			3=>'Verdoppeln',
			),
		'it'=>array(
			1=>'Non',
			2=>'Sì',
			3=>'Doppio',
			),
		'ca'=>array(
			1=>'No',
			2=>'Sí',
			3=>'Doble',
			),
		);
}
