<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-04-21
 * para Francisco Ortega
 *
 */
class KPTL_Tesoro
{
	private $_total;
	private $_actual;

    public function __construct()
    {
        $this->_total = KPTL::GetConfigValue('tesorototal');
        $this->_actual = KPTL::GetConfigValue('tesoroactual');
    }

    public function Save()
    {
		KPTL::SetConfigValue('tesoroactual', $this->_actual);
    }

    public function GetTotal()
    {
        return $this->_total;
    }

    public function GetActual()
    {
        return $this->_actual;
    }

    public function SetActual($puntos)
    {
        $this->_actual = intval($puntos);
    }

    public function AddToActual($puntos)
    {
    	$this->_actual += intval($puntos);
    }
}
?>