<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2012-04-08
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/kapitaltruth/index.php
 *
 */

$kptl_config = SWPHP::_GetConfigValues('kapitaltruth', false, 'kptl_config');

if($kptl_config['habilitarkptl'])
{
	if($kptl_config['modomotor'] == 'visitas')
	{
		$ultima = KPTL::GetConfigValue('fechayhoraultima');
		$ahora = date('Y-m-d H:i:s');

		if(fechayhora2time($ahora) - fechayhora2time($ultima) > 86400)
		{
			KPTL::RepartirPuntos(false);
			KPTL::SetConfigValue('fechayhoraultima', $ahora);
		}
	}

	if(($kptl_user = kapitaltruth_checkLogueado($subtemplate)))
	{
		$kptl_user_id = $kptl_user->id();

		$page1 = isset($_GET['page1']) ? $_GET['page1'] : 'inicio';

		$filepath = $swphp_module_dir.'inc/'.$page1.'.inc.php';
		if(is_file($filepath))
		{
			$filexajax = $swphp_module_dir.'inc/xajax/'.$page1.'.xajax.php';
			if(is_file($filexajax))
			{
				include($filexajax);

				require(SWPHP_COMMON_DIR.'classes/SWPHP_Xajax.class.php');

				$xajax->processRequest();
			}

			include($filepath);

			$_SESSION['user']['kptl'] = serialize($kptl_user); //Por si ha sufrido cambios

			$smarty->assign(array(
				'kptl_template'=>$kptl_template,
				'kptl_user'=>$kptl_user,
				'kptl_user_id'=>$kptl_user_id,
				'kptl_config'=>$kptl_config,
				'kptl_pestanaActual'=>$page1,
				'kptl_equivalencia'=>number_format($kptl_user->GetValue('puntos_show', false) * str_replace(',', '.', $kptl_config['equi_valor']), 2),
				));

			$subtemplate = SWPHP::_GetModuleTemplate('index.tpl');
		}
		else
		{
			$swphp_pagina->NotFound();
		}
	}
}
else
{
	$subtemplate = SWPHP::_GetModuleTemplate('deshabilitado.tpl');
}

$smarty->assign('swphp_templatecontenido', $subtemplate);
