<?php
/* swphp:modulo noticias */

SWPHP::_ExecuteQuery("SET NAMES 'utf8'", "", "");

$queries = array(
	"ALTER TABLE ".SWPHP_DBPREFIX."noticias ADD visitas INT(10) UNSIGNED NOT NULL DEFAULT '0' AFTER imagenampliable",
	"CREATE TABLE IF NOT EXISTS ".SWPHP_DBPREFIX."fuentesnoticias (
	id int(10) unsigned NOT NULL AUTO_INCREMENT,
	nombre varchar(120) NOT NULL,
	url varchar(120) NOT NULL,
	fechayhoraregistro datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
	fechayhoraultima datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
	user_idregistro int(10) unsigned NOT NULL DEFAULT '0',
	user_idultima int(10) unsigned NOT NULL DEFAULT '0',
	PRIMARY KEY (`id`),
	KEY (`user_idregistro`),
	KEY (`user_idultima`)
	) DEFAULT CHARSET=utf8",
	"ALTER TABLE ".SWPHP_DBPREFIX."noticias ADD fuente_id INT(10) UNSIGNED NOT NULL DEFAULT '0' AFTER visitas",
	"ALTER TABLE ".SWPHP_DBPREFIX."noticias ADD id_externo VARCHAR(120) NOT NULL DEFAULT '' AFTER fuente_id",
	"ALTER TABLE ".SWPHP_DBPREFIX."noticias ADD url_fuente VARCHAR(160) NOT NULL DEFAULT '' AFTER id_externo",
	"ALTER TABLE ".SWPHP_DBPREFIX."noticias ADD mostrarfuente TINYINT(1) UNSIGNED NOT NULL DEFAULT '0' AFTER url_fuente",
	"ALTER TABLE ".SWPHP_DBPREFIX."noticias CHANGE introduccion introduccion TEXT NOT NULL DEFAULT ''",
	"INSERT INTO ".SWPHP_DBPREFIX."config(id, variable, valor, concepto, info, texto) VALUES(NULL, 'rpp', 10, 'noticias', 'tag=input;type=text;size=5;maxlength=4;class=numeric', 'Elementos a mostrar por página en los listados')",
	);

$ok = true;
foreach($queries as $query)
{
	if(!SWPHP::_ExecuteQuery($query, "", "ERROR ejecutando:<br />{$query}"))
	{
		$ok = false;
		break;
	}
}

$updOk = $ok;
