<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-12-25
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/permisos/install.php
 *
 */

/**
 * Realiza las actuaciones particulares de la instalación de este módulo:
 *
 * @param array $info
 * @return bool
 */
function permisos_instalar($info)
{
	global $db;

	$ok = true;

	SWPHP::_ExecuteQuery("SET NAMES 'utf8'", "", "");

	$queries = array(
		"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."permisos` (
		  `id` enum('0','1','2','3') NOT NULL,
		  `nombre` varchar(30) NOT NULL,
		  PRIMARY KEY (`id`),
		  UNIQUE KEY `nombre` (`nombre`)
		) DEFAULT CHARSET=utf8",
		"INSERT INTO `".SWPHP_DBPREFIX."permisos` VALUES('0', 'Acceso prohibido')",
		"INSERT INTO `".SWPHP_DBPREFIX."permisos` VALUES('1', 'Sólo lectura')",
		"INSERT INTO `".SWPHP_DBPREFIX."permisos` VALUES('2', 'Lectura y escritura')",
		"INSERT INTO `".SWPHP_DBPREFIX."permisos` VALUES('3', 'Acceso total')",
		);
	foreach($queries as $query)
	{
		$ok &= SWPHP::_ExecuteQuery($query, "", "No se pudo ejecutar la sentencia:<br /> {$query}");
	}

	return $ok;
}
/**
 * Realiza las actuaciones particulares de la desinstalación de este módulo
 *
 * @param array $info
 * @return bool
 */
function permisos_desinstalar($info)
{
	//Es un módulo core

	return false;
}