<?php
/**
 * José Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-12-25
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/modulos/usuarios/install.php
 *
 */

/**
 * Realiza las actuaciones particulares de la instalación de este módulo:
 *
 * @param array $info
 * @return bool
 */
function usuarios_instalar($info)
{
	global $db;

	$ok = true;

	SWPHP::_ExecuteQuery("SET NAMES 'utf8'", "", "");

	$queries = array(
		"CREATE TABLE IF NOT EXISTS `".SWPHP_DBPREFIX."users` (
		  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
		  `nick` varchar(20) NOT NULL,
		  `pass` varchar(32) NOT NULL,
		  `email` varchar(120) NOT NULL,
		  `perfil_id` smallint(5) unsigned NOT NULL DEFAULT '1',
		  `fechayhoraregistro` datetime NOT NULL,
		  `fechayhoraultima` datetime NOT NULL,
		  `activo` tinyint(1) unsigned NOT NULL DEFAULT '1',
		  `contadorlogin` int(10) unsigned NOT NULL,
		  `ultimologin` datetime NOT NULL,
		  `user_idregistro` int(10) unsigned NOT NULL DEFAULT '0',
		  `user_idultima` int(10) unsigned NOT NULL DEFAULT '0',
		  PRIMARY KEY (`id`),
		  UNIQUE KEY `nick` (`nick`),
		  UNIQUE KEY `email` (`email`)
		) DEFAULT CHARSET=utf8",
		);
	foreach($queries as $query)
	{
		$ok &= SWPHP::_ExecuteQuery($query, "", "No se pudo ejecutar la sentencia:<br /> {$query}");
	}

	return $ok;
}
/**
 * Realiza las actuaciones particulares de la desinstalación de este módulo
 *
 * @param array $info
 * @return bool
 */
function usuarios_desinstalar($info)
{
	//Es un módulo core

	return false;
}