<?php
/**
 * Jose Carlos Cruz Parra
 * programadorphpfreelance.com
 * 2011-12-12
 *
 * SIMPLE WEB PHP EDICION ADMINISTRADA
 *
 * inc/plugins/noticias/functions.inc.php
 */

function swphp_plugin_noticias_noticias($n=10, $noticias_url='noticias/', $truncatetitulo=null)
{
	global $db, $smarty;

	include_once(SWPHP_MODULES_DIR."noticias/functions.inc.php");

	$noticias = $db->GetRows("SELECT n.id, ni.friendly, n.fecha, ni.titulo, ni.introduccion, n.imagen"
		." FROM ".SWPHP_DBPREFIX."noticias AS n"
		." JOIN ".SWPHP_DBPREFIX."noticias_idiomas AS ni ON n.id = ni.noticia_id AND ni.idioma_id = '{$_SESSION['SWPHP_IDIOMA_ACTUAL']}'"
		." WHERE n.activo = 1"
		." ORDER BY n.fecha DESC, n.id DESC LIMIT {$n}");

	foreach($noticias as $key=>$noticia)
	{
		$noticias[$key] = noticias_asignarImagenes($noticia);
	}

	$noticiascfg = SWPHP::_GetConfigValues('noticias');
	if(!is_null($truncatetitulo))
	{
		$noticiascfg['truncatetitulo'] = $truncatetitulo;
	}

	$smarty->assign('noticias_url', $noticias_url);

	$smarty->assign('swphp_noticias_plugin', true);
	$smarty->assign('swphp_noticias', $noticias);
	$smarty->assign('swphp_noticiascfg', $noticiascfg);

	return $smarty->fetch('../../../'.SWPHP::_GetModuleTemplate('noticias.tpl', 'noticias', false));
}
